      function cau_xq(q) ! bernd berg jun 2 1999.
c cauchy, qtile from cumulative distribution function. 
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      qq=pi*(q-half)
      cau_xq=tan(qq)
      return
      end
